#
# spec file for package fuseiso
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fuseiso
BuildRequires:  fuse-devel
BuildRequires:  glib2-devel
BuildRequires:  libtool
BuildRequires:  zlib-devel
Requires:       fuse
Summary:        FUSE module to mount CD-ROM images with ISO9660 filesystems in them
License:        GPL-2.0+
Group:          System/Filesystems
Version:        20070708
Release:        82.35
Source:         %{name}-%{version}.tar.bz2
Patch:          fuseiso-20061017.patch
Url:            http://apps.sourceforge.net/mediawiki/fuse/index.php?title=FuseIso
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fuseiso is a FUSE filesystem module which allows to mount many ISO9660
filesystem images (for CD-ROMs) as a non-root user using fuse.

It supports plain ISO9660 Level 1 and 2, with Rock Ridge, Joliet and
zisofs extensions and also supports the CD-ROM image types img, bin,
mdf and nrg.

%prep
%setup -q
%patch

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README*
%{_bindir}/*

%changelog
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Sat Oct  1 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Fri Jul 25 2008 mszeredi@suse.de
- updated to 20070708
  * Fix race condition with ZISO files
* Fri Aug 10 2007 bk@suse.de
- Add "Requires: fuse" to ensure that fuse is present (285101#c29)
- remove nicely empty TODO file from package documentation :-)
* Thu Mar 29 2007 cthiel@suse.de
- added zlib-devel to BuildRequires
* Wed Jan 24 2007 cthiel@suse.de
- fix build
- update to 20070116, includes a potential fix for #211544
* Sat Oct 21 2006 cthiel@suse.de
- update to 20061017
  * Fixed crash related to handling wrong-coded names with Juliet extension.
* Thu Sep 28 2006 ro@suse.de
- fix a missing return value
* Thu Sep 28 2006 cthiel@suse.de
- update to 20060928
  * Fixed race-condition with find -- display stable inode numbers on
    mounted filesystem to the outside world. Added check/addition for
    library option "use_ino" -- required from now. isofs_real_init() split
    into two parts to make real initialization/error checking before giving
    control to libfuse.
  * Several options added to maintain mount point (create if it does not
    exists, delete on exit), do NOT maintain file ~/.mtab.fuseiso (with
    format of /etc/mtab), specify iocharset (default iocharset is now
    locale-specific).
  * Added support to mounting NRG-image files created by Nero software.
* Mon Sep 25 2006 cthiel@suse.de
- update to 20060925 snapshot
  * Added support to mounting BIN-image files. One-track only for now.
  * Fixed directory read code to take directory end and block borders more
    correctly.
* Wed Aug  2 2006 cthiel@suse.de
- update to 20060731 snapshot
  * Fixed casting bug in isofs_parse_zisofs_header().
  * Parse SL RR entries with flag 3 as directory separator.
* Sun Apr 23 2006 cthiel@suse.de
- initial package (version 20060107)
